Bug 84925 - [NEW PORT] games/galaxyhack - AI script based strategy game
Summary: [NEW PORT] games/galaxyhack - AI script based strategy game
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-14 19:40 UTC by Alejandro Pulver
Modified: 2005-10-04 16:39 UTC (History)
0 users

See Also:


Attachments
galaxyhack.shar (12.49 KB, text/plain)
2005-08-14 19:40 UTC, Alejandro Pulver
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver 2005-08-14 19:40:17 UTC

    
Comment 1 Alejandro Pulver 2005-09-22 21:17:56 UTC
>Submitter-Id:	current-users 
>Originator:	Alejandro Pulver 
>Organization:	 
>Confidential:	no 
>Synopsis:	Re: ports/84925: [NEW PORT] games/galaxyhack - AI script based strategy game 
>Severity:	non-critical 
>Priority:	low 
>Category:	ports 
>Class:		change-request 
>Release:	FreeBSD 5.4-RELEASE i386 
>Environment:





>Description:


This patch has to be applied to the previous shar.

Changes:
* Fix wrapper script (wasn't passing its arguments to the real executable).


>How-To-Repeat:





>Fix:


--- galaxyhack.diff begins here ---
--- pkgd/sent/galaxyhack.shar	Sun Aug 14 14:19:02 2005
+++ galaxyhack.shar	Thu Sep 22 17:15:59 2005
@@ -6,16 +6,72 @@
 # This archive contains:
 #
 #	galaxyhack
-#	galaxyhack/Makefile
-#	galaxyhack/pkg-plist
-#	galaxyhack/distinfo
 #	galaxyhack/files
 #	galaxyhack/files/patch-Makefile
 #	galaxyhack/files/galaxyhack-sh.in
+#	galaxyhack/Makefile
+#	galaxyhack/pkg-plist
+#	galaxyhack/distinfo
 #	galaxyhack/pkg-descr
 #
 echo c - galaxyhack
 mkdir -p galaxyhack > /dev/null 2>&1
+echo c - galaxyhack/files
+mkdir -p galaxyhack/files > /dev/null 2>&1
+echo x - galaxyhack/files/patch-Makefile
+sed 's/^X//' >galaxyhack/files/patch-Makefile << 'END-of-galaxyhack/files/patch-Makefile'
+X--- Makefile.orig	Sat May  7 05:50:48 2005
+X+++ Makefile	Sun Aug  7 16:56:09 2005
+X@@ -7,12 +7,11 @@
+X #
+X 
+X INSTALL_DIR=/usr/local/share
+X-INSTALL_BIN_DIR=/usr/local/bin
+X+INSTALL_BIN_DIR=%%PREFIX%%/bin
+X 
+X-CXX = g++
+X-CXXFLAGS = $(shell sdl-config --cflags) -O3
+X+CXXFLAGS = %%CFLAGS%% $(shell sdl-config --cflags) $(shell freetype-config --cflags) -O3
+X DEFINES = -D__linux__
+X-LDFLAGS = $(shell sdl-config --libs) -lSDL_image -lSDL_mixer -lSDL_gfx -lboost_filesystem
+X+LDFLAGS = $(shell sdl-config --libs) $(shell freetype-config --libs) -lSDL_image -lSDL_mixer -lSDL_gfx -lboost_filesystem
+X 
+X OBJS = AIInterpreter.o AutoFireUnit.o BCCompiler.o DerivedGroups.o DragWindow.o \
+X 	ForceSelect.o ForceSelectWin.o GenWindow.o GenWindow_Base.o Globals.o \
+X@@ -37,8 +36,7 @@
+X 
+X .PHONY: install
+X install: $(TARGET)
+X-	install -d $(INSTALL_BIN_DIR)
+X-	install $(TARGET) $(INSTALL_BIN_DIR)
+X+	$(BSD_INSTALL_PROGRAM) $(TARGET) $(INSTALL_BIN_DIR)
+X 
+X $(TARGET): $(OBJS)
+X 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $^
+END-of-galaxyhack/files/patch-Makefile
+echo x - galaxyhack/files/galaxyhack-sh.in
+sed 's/^X//' >galaxyhack/files/galaxyhack-sh.in << 'END-of-galaxyhack/files/galaxyhack-sh.in'
+X#!/bin/sh
+X
+X# The executable needs to be run from its data directory, and needs to store
+X# configuration in it. We therefore mirror the data directory hierarchy in
+X# ~/.galaxyhack, and create symlinks to the data files, but the configuration
+X# file is copied, and write permission for the user is added to it.
+X
+Xcd %%DATADIR%% || exit 1
+X
+Xfind * -type d -exec mkdir -p ~/.galaxyhack/{} \; || exit 1
+X
+Xtest -f ~/.galaxyhack/settings.dat || cp settings.dat ~/.galaxyhack && \
+Xchmod u+w ~/.galaxyhack/settings.dat
+X
+Xfind * -type f -exec ln -s %%DATADIR%%/{} ~/.galaxyhack/{} \; 2>/dev/null || \
+Xexit 1
+X
+Xcd ~/.galaxyhack || exit 1
+X
+Xexec %%PREFIX%%/libexec/galaxyhack "$@"
+END-of-galaxyhack/files/galaxyhack-sh.in
 echo x - galaxyhack/Makefile
 sed 's/^X//' >galaxyhack/Makefile << 'END-of-galaxyhack/Makefile'
 X# New ports collection makefile for:	galaxyhack
@@ -240,62 +296,6 @@
 XMD5 (galaxyhack-1.5-data.tar.bz2) = 8848e5319c1fdcb3ccb62fe5dc1ab164
 XSIZE (galaxyhack-1.5-data.tar.bz2) = 9838488
 END-of-galaxyhack/distinfo
-echo c - galaxyhack/files
-mkdir -p galaxyhack/files > /dev/null 2>&1
-echo x - galaxyhack/files/patch-Makefile
-sed 's/^X//' >galaxyhack/files/patch-Makefile << 'END-of-galaxyhack/files/patch-Makefile'
-X--- Makefile.orig	Sat May  7 05:50:48 2005
-X+++ Makefile	Sun Aug  7 16:56:09 2005
-X@@ -7,12 +7,11 @@
-X #
-X 
-X INSTALL_DIR=/usr/local/share
-X-INSTALL_BIN_DIR=/usr/local/bin
-X+INSTALL_BIN_DIR=%%PREFIX%%/bin
-X 
-X-CXX = g++
-X-CXXFLAGS = $(shell sdl-config --cflags) -O3
-X+CXXFLAGS = %%CFLAGS%% $(shell sdl-config --cflags) $(shell freetype-config --cflags) -O3
-X DEFINES = -D__linux__
-X-LDFLAGS = $(shell sdl-config --libs) -lSDL_image -lSDL_mixer -lSDL_gfx -lboost_filesystem
-X+LDFLAGS = $(shell sdl-config --libs) $(shell freetype-config --libs) -lSDL_image -lSDL_mixer -lSDL_gfx -lboost_filesystem
-X 
-X OBJS = AIInterpreter.o AutoFireUnit.o BCCompiler.o DerivedGroups.o DragWindow.o \
-X 	ForceSelect.o ForceSelectWin.o GenWindow.o GenWindow_Base.o Globals.o \
-X@@ -37,8 +36,7 @@
-X 
-X .PHONY: install
-X install: $(TARGET)
-X-	install -d $(INSTALL_BIN_DIR)
-X-	install $(TARGET) $(INSTALL_BIN_DIR)
-X+	$(BSD_INSTALL_PROGRAM) $(TARGET) $(INSTALL_BIN_DIR)
-X 
-X $(TARGET): $(OBJS)
-X 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $^
-END-of-galaxyhack/files/patch-Makefile
-echo x - galaxyhack/files/galaxyhack-sh.in
-sed 's/^X//' >galaxyhack/files/galaxyhack-sh.in << 'END-of-galaxyhack/files/galaxyhack-sh.in'
-X#!/bin/sh
-X
-X# The executable needs to be run from its data directory, and needs to store
-X# configuration in it. We therefore mirror the data directory hierarchy in
-X# ~/.galaxyhack, and create symlinks to the data files, but the configuration
-X# file is copied, and write permission for the user is added to it.
-X
-Xcd %%DATADIR%% || exit 1
-X
-Xfind * -type d -exec mkdir -p ~/.galaxyhack/{} \; || exit 1
-X
-Xtest -f ~/.galaxyhack/settings.dat || cp settings.dat ~/.galaxyhack && \
-Xchmod u+w ~/.galaxyhack/settings.dat
-X
-Xfind * -type f -exec ln -s %%DATADIR%%/{} ~/.galaxyhack/{} \; 2>/dev/null || \
-Xexit 1
-X
-Xcd ~/.galaxyhack || exit 1
-X
-Xexec %%PREFIX%%/libexec/galaxyhack
-END-of-galaxyhack/files/galaxyhack-sh.in
 echo x - galaxyhack/pkg-descr
 sed 's/^X//' >galaxyhack/pkg-descr << 'END-of-galaxyhack/pkg-descr'
 XGalaxyHack allows you to design a fleet of spaceships which can then be tested
--- galaxyhack.diff ends here ---
Comment 2 Renato Botelho freebsd_committer 2005-10-04 16:39:37 UTC
State Changed
From-To: open->closed

New port added. Thanks!